# Removing a Whitelisted IP

`DELETE https://api.oxylabs.io/v1/whitelisted_ips/{id}`

| Parameter | Description                                                                                      |
| --------- | ------------------------------------------------------------------------------------------------ |
| `id`      | The `id` of the IP address you want to delete (you can get it from GET whitelisted IPs endpoint) |

| Response | Description                                                                                        |
| -------- | -------------------------------------------------------------------------------------------------- |
| `204`    | Success. The IP address has been removed from the list. Response body is empty.                    |
| `403`    | Error. Request contains an invalid `id`. Response body contains the error message "Access Denied". |

#### Code examples

{% tabs %}
{% tab title="cURL" %}

```shell
curl -X DELETE -u username:password "https://api.oxylabs.io/v1/whitelisted_ips/{id}"
```

{% endtab %}

{% tab title="PHP" %}

```php
<?php
$curl = curl_init();
curl_setopt($curl, CURLOPT_URL, 'https://api.oxylabs.io/v1/whitelisted_ips/{id}');
curl_setopt($curl, CURLOPT_CUSTOMREQUEST, "DELETE");
curl_setopt($curl, CURLOPT_RETURNTRANSFER, 1);
curl_setopt($curl, CURLOPT_USERPWD, 'username:password');
$result = curl_exec($curl);
?>
```

{% endtab %}

{% tab title="Python" %}

```python
import requests
requests.delete('https://api.oxylabs.io/v1/whitelisted_ips/{id}', auth=('username', 'password'))
```

{% endtab %}
{% endtabs %}
